Loading...
Searching...
No Matches
novas_in_space Struct Reference

data for an observer's location on Earth orbit More...

`#include <novas.h>`

## Public Attributes

double | sc_pos [3]
| [km] geocentric (or [AU] ICRS barycentric) position vector (x, y, z)
double | sc_vel [3]
| [km/s] geocentric (or [AU/day] ICRS barycentric) velocity vector (x_dot, y_dot, z_dot)

## Detailed Description

data for an observer's location on Earth orbit

See also
  make_in_space(), IN_SPACE_INIT
  make_observer_in_space()

## Member Data Documentation

## sc_pos

double novas_in_space::sc_pos[3]

[km] geocentric (or [AU] ICRS barycentric) position vector (x, y, z)

Referenced by make_in_space(), novas_equals_near_earth(), and novas_equals_ssb_posvel().

## sc_vel

double novas_in_space::sc_vel[3]

[km/s] geocentric (or [AU/day] ICRS barycentric) velocity vector (x_dot, y_dot, z_dot)

Referenced by make_airborne_observer(), make_in_space(), make_observer(), novas_equals_near_earth(), and novas_equals_ssb_posvel().